Exemplo n.º 1
0
        public Arc(Dynamic.Tekla.Structures.Drawing.ViewBase inView, Dynamic.Tekla.Structures.Geometry3d.Point StartPoint, Dynamic.Tekla.Structures.Geometry3d.Point EndPoint, Dynamic.Tekla.Structures.Geometry3d.Point CenterPoint, Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes inAttributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(inView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(StartPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(EndPoint);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(CenterPoint);
            args[4]          = Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes_.GetTSObject(inAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Arc", args);
        }
Exemplo n.º 2
0
        public Arc(Dynamic.Tekla.Structures.Drawing.ViewBase inView, Dynamic.Tekla.Structures.Geometry3d.Point inPoint1, Dynamic.Tekla.Structures.Geometry3d.Point inPoint2, System.Double inRadius, Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes inAttributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(inView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint1);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint2);
            args[3]          = inRadius;
            args[4]          = Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes_.GetTSObject(inAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Arc", args);
        }